Bug 250231 - [NEW PORT] security/ffuf: Fast web fuzzer
Summary: [NEW PORT] security/ffuf: Fast web fuzzer
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL: https://github.com/ffuf/ffuf
Keywords:
Depends on:
Blocks:
 
Reported: 2020-10-09 20:07 UTC by Gabriel Dutra
Modified: 2020-10-11 11:10 UTC (History)
2 users (show)

See Also:


Attachments
ffuf ports (934 bytes, application/x-shar)
2020-10-09 20:07 UTC, Gabriel Dutra
no flags Details
Path: change 'fuff' to 'ffuf' (934 bytes, patch)
2020-10-09 20:11 UTC, Gabriel Dutra
no flags Details | Diff
Path: remove GH_ACCOUNT and add DISTVERSION (2.18 KB, patch)
2020-10-10 15:59 UTC, Gabriel Dutra
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Gabriel Dutra 2020-10-09 20:07:20 UTC
Created attachment 218629 [details]
ffuf ports

* portlint ok

Tested and running correctly on

FreeBSD CURRENT amd64
FreeBSD CURRENT i386

FreeBSD 12.1-RELEASE amd64
FreeBSD 12.1-RELEASE i386

FreeBSD 11.3-RELEASE amd64
FreeBSD 11.3-RELEASE i386

Poudriere Log

http://poudriere.bs2.com.br/poudriere/data/latest-per-pkg/ffuf/1.1.0/
Comment 1 Gabriel Dutra 2020-10-09 20:11:48 UTC
Created attachment 218630 [details]
Path: change 'fuff' to 'ffuf'

Path: change 'fuff' to 'ffuf'
Comment 2 daniel.engberg.lists 2020-10-10 09:34:01 UTC
Looks good, slight nitpick is that you should use DISTVERSION instead of PORTVERSION as far as I can tell and that you don't need to define GH_ACCOUNT.

https://www.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/makefile-distfiles.html#makefile-master_sites-github-description
Example 5.12

https://www.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/makefile-distfiles.html
Section 5.4.3
Comment 3 Gabriel Dutra 2020-10-10 15:59:23 UTC
Created attachment 218646 [details]
Path: remove GH_ACCOUNT and add DISTVERSION

Hi,

I applied DISTVERSION and remove GH_ACCOUNT.

thanks for explanation.
Comment 4 Kurt Jaeger freebsd_committer 2020-10-11 11:10:21 UTC
Committed, thanks!
Comment 5 commit-hook freebsd_committer 2020-10-11 11:10:34 UTC
A commit references this bug:

Author: pi
Date: Sun Oct 11 11:10:12 UTC 2020
New revision: 552051
URL: https://svnweb.freebsd.org/changeset/ports/552051

Log:
  New port: security/ffuf

  Fast web fuzzer written in Go

  WWW: https://github.com/ffuf/ffuf

  PR:		250231
  Submitted by:	Gabriel Dutra <0xdutra@gmail.com>

Changes:
  head/security/Makefile
  head/security/ffuf/
  head/security/ffuf/Makefile
  head/security/ffuf/distinfo
  head/security/ffuf/pkg-descr